%global pypi_name    ruamel.yaml
%global package_name %(echo "%{pypi_name}" | tr '.' '-')

%{?scl:%global python3_pkgversion %{nil}}
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}python%{python3_pkgversion}-%{package_name}
Version:        0.15.81
Release:        1%{?dist}
Summary:        YAML parser/emitter

Group:          Development/Libraries
License:        MIT
URL:            https://pypi.io/project/%{pypi_name}
Source0:        https://pypi.io/packages/source/%(echo "%{pypi_name}" | cut -c 1)/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-pip
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-setuptools >= 20.6.8
%{?scl:BuildRequires: %{scl}-build %{scl}-runtime}

%{?scl:Requires: %{scl}-runtime}

%description
ruamel.yaml is a YAML parser/emitter that supports roundtrip preservation of
comments, seq/map flow style, and map key order.

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build

%install
%{?scl:scl enable %{scl} "}
pip \
  install \
  --no-deps \
  --root %{buildroot} \
  --install-option -O1\ \
  --install-option --install-platlib=%{python3_sitearch} \
  .
%{?scl:"}

%files
%license LICENSE
%doc CHANGES
%doc README.rst
%{python3_sitearch}/ruamel
%{python3_sitearch}/_ruamel*.so
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?-nspkg.pth

%changelog
* Tue Dec 11 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 0.15.81-1
- Initial package.
